clear all; close all; clc

% Initial Conditions
xa_in = 0.5;
xa = 1.0;

% Final Time (min)
tf = 5;

% Integrate the differential equation CSTR model
[t1,xa1] = ode15s(@(t,x)cstr(t,x,xa_in),[0 tf],xa);

% Integrate the linearized CSTR model
[t2,xa2] = ode15s(@(t,x)cstr_linear(t,x,xa_in),[0 tf],xa);

% Plot the results
figure(1);
plot(t1,xa1);
hold on
plot(t2,xa2,'r--');
ylabel('Mole Fraction')
xlabel('Time (min)')
legend('Nonlinear','Linear')
